#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for lprng_power services on EIS/FAIR
#
# Copyright (c) 2010-2018  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-08  jed
# Last Update:  $Id: install.sh 55703 2018-06-10 18:49:02Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib etc.
. /var/install/include/eislib
. /var/install/include/jedlib

#exec 2>/tmp/as-inst-trace-$$.log
#set -x

module_name='lprng_power'
installfile=/var/run/${module_name}.install

myecho --pack ${module_name} --info "running install.sh ..."

# update shared library file
update_jedlib ${module_name}

### symbolic links
myecho --pack ${module_name} "creating symbolic links ..."

rm -f /etc/rc2.d/[KS]??${module_name}

ln -sf /etc/init.d/${module_name} /etc/rc2.d/K29${module_name}
ln -sf /etc/init.d/${module_name} /etc/rc2.d/S71${module_name}

myecho --pack ${module_name} "adding menu ..."
/var/install/bin/add-menu --menu "setup.services.menu" \
    "setup.services.${module_name}.menu" "LPRng-Power Service"

# move old files to backup directory and create backup
/var/install/bin/backup-file --quiet ${module_name}

# install/update package configuration file
silent=''
if called_from_install --pack "${module_name}"
then
    silent='--quiet'
fi

update=false
if install_config ${silent} ${module_name}
then
    update=true
fi

# configuration
myecho --pack ${module_name} "creating ${module_name} configuration ..."

if [ "${update}" = "true" ]
then
    # updated installation
    /var/install/config.d/${module_name}.sh
    if [ -f /etc/init.d/${module_name} ]
    then
        /etc/init.d/${module_name} restart
    fi
else
    # new installation
    /var/install/bin/edit --apply "${module_name}" "Edit ${module_name} services configuration"
fi

exit 0
